<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2020 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2020.1/2030377
 */

namespace Reviews\Filter;

use Application\Validator\ArrayValuesValidator;

/**
 * Class VoteValidator. Test if a vote is valid
 * @package Reviews\Filter
 */
class VoteValidator extends ArrayValuesValidator
{
    const VOTE_UP      = 'up';
    const VOTE_DOWN    = 'down';
    const VOTE_CLEAR   = 'clear';
    const VALID        = [
        self::VOTE_UP, self::VOTE_DOWN, self::VOTE_CLEAR, Vote::VOTE_UP, Vote::VOTE_DOWN, Vote::VOTE_CLEAR
    ];
    const INVALID_VOTE = 'invalidVote';

    /**
     * VoteValidator constructor.
     * @param $translator
     */
    public function __construct($translator)
    {
        parent::__construct($translator, self::VALID, self::INVALID_VOTE, 'vote');
    }
}
